View Issue Details

IDProjectCategoryView StatusLast Update
0003656Far Manager_Commonpublic2018-09-24 15:46
ReporterCyBearAssigned ToDrKnS 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003656: FAR 3.0 build 5269 x86 не получает права администратора "runas /user:domen\admin far.exe"
DescriptionЗдравствуйте. FAR 3.0 build 5269 x86

Обнаружил досадный баг - при запуске FAR под другим пользователем с правами доменного администратора - при запросе этих самых прав FAR их не принимает/не получает/не обрабатывает/сбрасывает.

В итоге если ты допустим подрубился к юзеру на рабочий стол RDP/DameWare/Radmin и из под него хочешь запустить FAR с твоей админской учёткой и порешать проблемы, ты этого сделать не сможешь - FAR не получает права администратора и ты не видишь диски/каталоги, не можешь запустить софт и т.п. и т.д.
Steps To ReproduceЗашли под домен под юзером в Windows, прав админа у него нет.

На рабочем столе ярлык FAR, зажимаем SHIFT + клик левой кнопкой мыши, в меню появляется пункт "Запуск от имени другого пользователя", скрин 01.png.

В окне ввода пароля вводим логин и пароль от доменного администратора, скрин 02.png.

Делаем запрос прав администратора, например проваливаясь в системный каталог "System Volume Information", скрин 03.png.

Открывается окно подтверждения прав администратора, подтверждаем, скрин. 04.png.

Ранее FAR после этого окна получал доступ администратора и открывался и давал работать уже с правом администратора, но теперь он на секунду отображает рабочий стол и повторно запрашивает права администратора, подтверждаем, скрин 05.png, но после подтверждения выходит окно с ошибкой и права не предоставляются, скрин 06.png.

Если запустить из консоли командой:
runas /user:domen\admin far.exe
скрины 07.png, 08.png, 09.png, то будет та же самая ошибка и права не предоставляются, скрин 06.png.
TagsNo tags attached.
Build5272

Activities

CyBear

2018-09-17 07:05

reporter  

01.png (12,223 bytes)
01.png (12,223 bytes)

CyBear

2018-09-17 07:05

reporter  

02.png (9,376 bytes)
02.png (9,376 bytes)

CyBear

2018-09-17 07:05

reporter  

03.png (21,197 bytes)
03.png (21,197 bytes)

CyBear

2018-09-17 07:06

reporter  

04.png (169,190 bytes)
04.png (169,190 bytes)

CyBear

2018-09-17 07:06

reporter  

05.png (163,863 bytes)
05.png (163,863 bytes)

CyBear

2018-09-17 07:06

reporter  

06.png (17,340 bytes)
06.png (17,340 bytes)

CyBear

2018-09-17 07:06

reporter  

07.png (4,971 bytes)
07.png (4,971 bytes)

CyBear

2018-09-17 08:10

reporter  

09.png (14,749 bytes)
09.png (14,749 bytes)
08.png (11,163 bytes)
08.png (11,163 bytes)

DrKnS

2018-09-17 11:12

administrator   bugnote:0016249

> Если запустить из консоли командой ... то будет та же самая ошибка

Ну а при чем здесь тогда Far?

CyBear

2018-09-18 05:32

reporter   bugnote:0016250

>Ну а при чем здесь тогда Far?
Фразой про консоль я хотел вам показать что не важно как запущен FAR из консоли или из GUI, это просто два способа запуска, оба runas, и в обоих случаях есть ошибка обработки UAC и как следствие нет возможности получить права.

FAR перестал обрабатывать запросы UAC и получать права администратора.

Вот, например 5236 сборка (она из последних под рукой у меня) запрос UAC отрабатывает за 1 раз и получает права администратора, см. скрины 10-15

14.png (132,993 bytes)
14.png (132,993 bytes)
15.png (18,486 bytes)
15.png (18,486 bytes)
10.png (9,927 bytes)
10.png (9,927 bytes)
11.png (9,176 bytes)
11.png (9,176 bytes)
13.png (15,256 bytes)
13.png (15,256 bytes)
12.png (19,433 bytes)
12.png (19,433 bytes)

CyBear

2018-09-18 05:36

reporter   bugnote:0016251

В текущих же версиях FAR два раза подряд выдаёт запрос UAC, см. скрины 04-05, затем выдаёт сообщение об ошибке "Процесс был неожиданно завершён" скрин 06 и при этом не получает прав администратора.

Старые то сборки (например 5236) корректно отрабатывали и получали права!

P.S. Бекап ночников по сборкам у меня дома, найду последнюю сборку после которой это началось и отпишусь, чтобы вам было легче найти виновника.

CyBear

2018-09-18 07:59

reporter   bugnote:0016252

Вот, для наглядности записал на телефон небольшое видео демонстрации ошибки, извините что камера дрожит, второй рукой кнопки жал

https://www.dropbox.com/s/pxtr7hcrnzwsl1t/1.mkv

DrKnS

2018-09-18 09:30

administrator   bugnote:0016253

Проверьте 5263 - 5264, менялось по идее только там.

CyBear

2018-09-20 05:01

reporter  

5263.png (37,891 bytes)
5263.png (37,891 bytes)

CyBear

2018-09-20 05:01

reporter   bugnote:0016255

Здравствуйте.
Прошу извинить за задержку с ответом, из-за работы долго не мог до архивов ночников добраться.

Виновник найден!

5263 - 1 запрос UAC, доступ предоставлен
5264 - 2 запроса UAC подряд, ошибка и отказ доступа

Что-то такое было в 5264, что сломало обработку, пожалуйста, посмотрите и найдите причину, спасибо.

5264.png (43,577 bytes)
5264.png (43,577 bytes)

CyBear

2018-09-20 05:02

reporter  

5263-2.png (37,891 bytes)
5263-2.png (37,891 bytes)

CyBear

2018-09-20 05:04

reporter   bugnote:0016256

извините задублировал скриншот, не знаю как удалить дубль

DrKnS

2018-09-20 09:55

administrator   bugnote:0016257

5272

CyBear

2018-09-21 05:57

reporter   bugnote:0016261

Здравствуйте.

Проблема решена в версии 5272, всё работает как раньше, заявку можно закрывать, большое спасибо!

DrKnS

2018-09-21 11:29

administrator   bugnote:0016262

А расскажите, зачем у вас основной процесс Far запускается в job object'е?
Это вроде бы достаточно нетипичная ситуация.
Подробности можно увидеть в process explorer.

CyBear

2018-09-21 11:36

reporter   bugnote:0016263

Ситуация примерно следующая, мы админы по должностной, но чтоб себя самих обезопасить, в инструкции запрещено постоянно работать под доменным админом, поэтому когда решается какая-либо задача, всегда запускается RunAs FAR доменного админа и работаем под ним.

Текущий пользователь может не видит каталогов/файлов, не иметь к ним доступа, не видеть шары/диски и подсети, поэтому после старта отдельного процесса FAR под доменным админом делаешь "вот такой вот запрос доступа" как на скринах выше, чтобы уже в процессе работы ничего не отваливалось из-за запроса UAC - скрипты, оракловый клиентский софт и тп.

Извините что сумбурно объяснил, если вообще объяснил.

DrKnS

2018-09-21 12:08

administrator   bugnote:0016264

Сумбурно, да, но суть я понял, спасибо.
Job зачем-то создает ос, когда вы делаете run as.

Issue History

Date Modified Username Field Change
2018-09-17 07:04 CyBear New Issue
2018-09-17 07:05 CyBear File Added: 01.png
2018-09-17 07:05 CyBear File Added: 02.png
2018-09-17 07:05 CyBear File Added: 03.png
2018-09-17 07:06 CyBear File Added: 04.png
2018-09-17 07:06 CyBear File Added: 05.png
2018-09-17 07:06 CyBear File Added: 06.png
2018-09-17 07:06 CyBear File Added: 07.png
2018-09-17 08:10 CyBear File Added: 08.png
2018-09-17 08:10 CyBear File Added: 09.png
2018-09-17 11:12 DrKnS Note Added: 0016249
2018-09-18 05:32 CyBear File Added: 10.png
2018-09-18 05:32 CyBear File Added: 11.png
2018-09-18 05:32 CyBear File Added: 12.png
2018-09-18 05:32 CyBear File Added: 13.png
2018-09-18 05:32 CyBear File Added: 14.png
2018-09-18 05:32 CyBear File Added: 15.png
2018-09-18 05:32 CyBear Note Added: 0016250
2018-09-18 05:36 CyBear Note Added: 0016251
2018-09-18 07:59 CyBear Note Added: 0016252
2018-09-18 09:30 DrKnS Note Added: 0016253
2018-09-20 05:01 CyBear File Added: 5263.png
2018-09-20 05:01 CyBear File Added: 5264.png
2018-09-20 05:01 CyBear Note Added: 0016255
2018-09-20 05:02 CyBear File Added: 5263-2.png
2018-09-20 05:04 CyBear Note Added: 0016256
2018-09-20 09:55 DrKnS Assigned To => DrKnS
2018-09-20 09:55 DrKnS Status new => feedback
2018-09-20 09:55 DrKnS Note Added: 0016257
2018-09-21 05:57 CyBear Note Added: 0016261
2018-09-21 05:57 CyBear Status feedback => assigned
2018-09-21 10:15 JohnDoe Status assigned => resolved
2018-09-21 11:29 DrKnS Note Added: 0016262
2018-09-21 11:36 CyBear Note Added: 0016263
2018-09-21 12:08 DrKnS Note Added: 0016264
2018-09-24 15:46 DrKnS Status resolved => closed
2018-09-24 15:46 DrKnS Resolution open => fixed
2018-09-24 15:46 DrKnS Fixed in Version => 3.0
2018-09-24 15:46 DrKnS Build => 5272